#include "include.h"
/*
BL08M003-WDT-Demo
注意：
1、仿真无法使用PA0/PA1  为通信IO口
2、软件配置WDTEN = 1,使能WDT复位后，Option中WDT使能选项仍需配置使能WDT
3、软件配置PSA=0，WDT无分频，WDT复位时间以OPTION中WDT溢出时间为准
4、软件配置PSA=1，PS[2:0]配置用于WDT分频，
WDT实际溢出时间 = WDT溢出时间(option配置) *  WDT分频系数PS[2:0]

*/
void main(void)
{
	////初始化函数 
	System_Int();
	
	WDTEN = 1;			//0 = 软件屏蔽 WDT 功能  1= 软件使能 WDT
	
	PSA = 1;     		//0 = Timer0（WDT无分频系数）	1 = WDT	
	PS2 = 0;			//WDT分频系数 000 = 1:1		001 = 1:2	
	PS1 = 0;			//010 = 1:4	  011 = 1:8		100 = 1:16		 
   	PS0 = 0;			//101 = 1:32  110 = 1:64	111 = 1:128	
	
	while(1)
	{
//		asm("clrwdt");   ///注意WDT是否开启
		PORTA6 = 0;
		asm("nop");
		asm("nop");
				
		asm("sleep");
		asm("nop");
		asm("nop");

		PORTA6 = 1;	
		asm("nop");
		asm("nop");

	}
}
///中断服务函数
void interrupt Timer0_Isr(void)
{

}